#!/usr/bin/gawk -f

BEGIN{
  JD0 = 2457733.83207;
  P = 5.732436;
  duration = 0.667255;
#  duration = duration+0.15;
}
!/^ #/{
  eclipse = 1;
  ph = phase($1);
  if (abs(ph-0.0) < 0.5*duration/P) { eclipse=0; }
  if (abs(ph-1.0) < 0.5*duration/P) { eclipse=0; }
  if (abs(ph-0.45) < 0.5*duration/P) { eclipse=0; }
  if (eclipse==1) {
    print;
  }
}

func abs(x) {
  if (x > 0) {
    return x;
  } else {
    return -x;
  }
}

func f1(x) { if (x > 0.0) { return x; } else { return x+1.0; }}
func frac(x) { return f1(x-int(x)); }
func phase(jd) { return frac((jd-JD0)/P); }


