#!/usr/bin/gnuplot

JD0 = 2457733.83207
P = 5.732436

f1(x) = x > 0.0 ? x : x+1.0
frac(x) = f1(x-int(x))
phase(jd) = frac((jd-JD0)/P)

set xl "phase"
set yl "R [mag]"

set yr [:] reverse

set arrow from 0.45,graph 0 rto 0,graph 1 nohead lt 0

R=`awk '{print $1;}' R_noeclipse.mea`

p "R.tmp" u (phase($1)):2,\
  "R_noeclipse.dat" u (phase($1)):2,\
  R w l t sprintf("%.3f", R)

pa-1


